#!/bin/bash
# ThinPro6_64 capture image.
# This script is used to prepare to capture image 
#
#
#
#2016/03/15

HPDM_AGENT_CFG_PATH=/writable/etc/hpdmagent
HPDM_AGENT_IMG_PATH=/writable/etc/hpdmagent/imaging
THINSTATE_CMD_PATH=/usr/lib/hptc-thinstate/commands
HPDM_AGENT_CAPTURE_PATH=$HPDM_AGENT_IMG_PATH/capture
HPDM_AGENT_BIN_PATH=$HPDM_AGENT_IMG_PATH/bin

#  
#  name: chmod_plus_x
#  @param $1: A dir. $2: Not executable file.
#  @return
#  chmod_plus_x function is used to "chmod +x" for script and binary files.
function chmod_plus_x()
{
	cd $1
	for runfile in $(ls)
	do
		if [ "$runfile" != "$2" ] ; then
			chmod +x $runfile
		fi	
	done
}

#  
#  name: move_file
#  @param $1: Create new dir. $2: Some files you want to copy.
#  @return
#  move_file function is used to copy file to a new dir.
function move_file()
{
	[ -e "$2" ] && rm -rf $2
	mkdir $2
	cp $1 $2
}

# put a script which can initialize network
fsunlock
cp $HPDM_AGENT_CAPTURE_PATH/70-initnet /boot/POSTIMG.DIR/DELAYED
chmod +x /boot/POSTIMG.DIR/DELAYED/70-initnet

chmod_plus_x $HPDM_AGENT_BIN_PATH "NONE"
chmod_plus_x $HPDM_AGENT_CAPTURE_PATH "ThinState.conf"

# Prepare 05-customize
cp $HPDM_AGENT_CAPTURE_PATH/05-customize $THINSTATE_CMD_PATH/ftp-capture.d/

# Prepare ThinState.conf for capture

move_file $HPDM_AGENT_CAPTURE_PATH/ThinState.conf /writable/HP

# Prepare /etc/r7files.d/hpdmfiles.sh

move_file $HPDM_AGENT_CAPTURE_PATH/hpdmfiles.sh /etc/r7files.d

fslock

# Call hptc-ts-reboot
hptc-ts-reboot --capture

