#!/bin/bash
# This scripts for prepare some scripts and binary file for deploying image.
#
#2016/03/17

HPDM_AGENT_CFG_PATH=/writable/etc/hpdmagent
HPDM_AGENT_IMG_SCRIPT_PATH=/writable/etc/hpdmagent/imaging
HPDM_AGENT_IMG_SCRIPT_DEPLOY_PATH=$HPDM_AGENT_IMG_SCRIPT_PATH/deploy
THINSTATE_CMD_PATH=/usr/lib/hptc-thinstate/commands
HPDM_AGENT_IMG_BIN=$HPDM_AGENT_IMG_SCRIPT_PATH/bin

fsunlock

#  
#  name: chmod_plus_x
#  @param $1: A dir. $2: Not executable file.
#  @return
#  chmod_plus_x function is used to "chmod +x" for script and binary files.
function chmod_plus_x()
{
	cd $1
	for runfile in $(ls)
	do
		if [ "$runfile" != "$2" ] && [ -f "$runfile" ]; then
			chmod +x $runfile
		fi	
	done
}

mclient export root/Network/Wireless	/writable/.wireless.xml

# chmod +x to some scripts and binary file.
chmod_plus_x $HPDM_AGENT_IMG_BIN "NONE"
chmod_plus_x $HPDM_AGENT_IMG_SCRIPT_DEPLOY_PATH "ThinState.conf"
chmod_plus_x $HPDM_AGENT_IMG_SCRIPT_DEPLOY_PATH/hpdm-deploy.d "NONE"

# Prepare hpdm-deploy
[ -e "$THINSTATE_CMD_PATH/hpdm-deploy" ] && rm -rf $THINSTATE_CMD_PATH/hpdm-deploy
cp $HPDM_AGENT_IMG_SCRIPT_DEPLOY_PATH/hpdm-deploy $THINSTATE_CMD_PATH/hpdm-deploy

[ -e "$THINSTATE_CMD_PATH/hpdm-deploy.d" ] && rm -rf $THINSTATE_CMD_PATH/hpdm-deploy.d
mkdir $THINSTATE_CMD_PATH/hpdm-deploy.d/
cp $HPDM_AGENT_IMG_SCRIPT_DEPLOY_PATH/hpdm-deploy.d/* $THINSTATE_CMD_PATH/hpdm-deploy.d/

# Prepare ThinState.conf for deployment
[ -e "/writable/HP" ] && rm -rf /writable/HP
mkdir /writable/HP
cp $HPDM_AGENT_IMG_SCRIPT_DEPLOY_PATH/ThinState.conf /writable/HP

# Prepare /etc/r7files.d/hpdmfiles.sh
[ -e "/etc/r7files.d" ] && rm -rf /etc/r7files.d
mkdir /etc/r7files.d
cp $HPDM_AGENT_IMG_SCRIPT_DEPLOY_PATH/hpdmfiles.sh /etc/r7files.d

fslock

# Release DHCP lease
dhclient -r

# Call hptc-ts-reboot
hptc-ts-reboot


